Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.orchestra.conversation
Class ConversationMessager

    java.lang.Object
      org.apache.myfaces.orchestra.conversation.ConversationMessager

Direct Known Subclasses:
  JsfConversationMessager, LogConversationMessager

    public abstract class ConversationMessager

extends java.lang.Object

Methods required to inform the user about some anomalies.

These problems can be due either to incorrect webapp development (incorrect use of Orchestra tags) or by something like a session timing out. In any case, when these problems happen they affect the user so need to be reported to the user in some way. However different apps may want to report problems in different ways; the concrete ConversationMessager object used is therefore configurable.

All methods on this class must be implemented in a thread-safe manner.

The instance used by Orchestra is controlled by the FrameworkAdapter. See `FrameworkAdapter` for details.

Constructor Summary
`ConversationMessager()`

Method Summary
`void` | `setConversationException(java.lang.Throwable t)` An exception happened, for example during invalidate action.
`void` | `setConversationNotActive(java.lang.String name)` Display message about a not active conversation (close before the redirect).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConversationMessager

    public ConversationMessager()

Method Detail

### setConversationException

    public void setConversationException(java.lang.Throwable t)

  An exception happened, for example during invalidate action.

### setConversationNotActive

    public void setConversationNotActive(java.lang.String name)

  Display message about a not active conversation (close before the redirect).

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation. All Rights Reserved.